Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: OpenVSwitch
Source: http://openvswitch.org/

Files: *
Copyright: (c) 2007-2013 Nicira, Inc.
           (c) 2010 Jean Tourrilhes - HP-Labs.
           (c) 2008,2009,2010 Citrix Systems, Inc.
           (c) 2011 Gaetano Catalli
           (c) 2000-2003 Geoffrey Wossum <gwossum@acm.org>
           (c) 2000 The NetBSD Foundation, Inc.
           (c) 1995, 1996, 1997, and 1998 WIDE Project.
           (c) 1982, 1986, 1990, 1993 The Regents of the University of California.
           (c) 2008, 2012 Vincent Bernat <bernat@luffy.cx>
           (c) 2014 Michael Chapman
           (c) 2014 WindRiver, Inc.
	   (c) 2014 Avaya, Inc.
	   (c) 2001 Daniel Hartmeier
	   (c) 2002 - 2008 Henning Brauer
	   (c) 2012 Gleb Smirnoff <glebius@FreeBSD.org>
License: Apache-2.0

Files:
 include/windows/netinet/icmp6.h
 include/windows/netinet/ip6.h
 lib/strsep.c
Copyright: (c) 1990,1993, The Regents of the University of California
License: BSD-3-clause

Files: datapath/*
 build-aux/cccl
Copyright: (C) 2000-2003 Geoffrey Wossum <gwossum@acm.org>
License: GPL-2

Files:
 datapath/linux/compat/include/linux/openvswitch.h
Copyright: (c) 2007-2017 Nicira, Inc.
License: Apache-2.0-or-GPL-2.0

Files: lib/getopt_long.c
 include/windows/getopt.h
 datapath-windows/ovsext/Conntrack-tcp.c
 lib/conntrack-tcp.c
Copyright: (c) 2001 Daniel Hartmeier
 (c) 2002 - 2008 Henning Brauer
 (c) 2012 Gleb Smirnoff <glebius@FreeBSD.org>
 (c) 2015, 2016 Nicira, Inc.
License: BSD-2-clause

Files:
 utilities/bugtool/ovs-bugtool-*
 utilities/bugtool/plugins/kernel-info/openvswitch.xml
 utilities/bugtool/plugins/network-status/openvswitch.xml
 utilities/bugtool/plugins/system-configuration.xml
 utilities/bugtool/plugins/system-configuration/openvswitch.xml
Copyright: (c) 2011 Nicira, Inc.
License: LGPL-2.1

Files: xenserver/etc_xensource_scripts_vif
 xenserver/opt_xensource_libexec_InterfaceReconfigure.py
 xenserver/opt_xensource_libexec_InterfaceReconfigureBridge.py
 xenserver/opt_xensource_libexec_InterfaceReconfigureVswitch.py
 xenserver/opt_xensource_libexec_interface-reconfigure
 xenserver/usr_lib_xsconsole_plugins-base_XSFeatureVSwitch.py
Copyright: (c) 2008,2009 Citrix Systems, Inc.
License: LGPL-2.1-with-exception

Files:
 lib/sflow.h
 lib/sflow_agent.c
 lib/sflow_api.h
 lib/sflow_poller.c
 lib/sflow_receiver.c
 lib/sflow_sampler.c
Copyright: (c) 2002-2009 InMon Corp.
License: Sun-Industry-Standard-or-InMon-sFlow-License

Files: lib/crc32c.c
Copyright: (c) 1986 Gary S. Brown.
License: without-restriction
 You may use this program, or code or tables extracted from it, as desired
 without restriction.

Files: lib/ovs.tmac
Copyright: (c) 2007, Eric S. Raymond <esr@thyrsus.com>
 (c) 2007, Werner Lemberg <wl@gnu.org>
 (c) 2007, 2009, 2011 Free Software Foundation, Inc.
License: freely-use-modify-distribute
 You may freely use, modify and/or distribute this file.

Files: m4/absolute-header.m4
 m4/include_next.m4
Copyright: (c) Derek Price
 (c) Paul Eggert
 (c) 2006-2013 Free Software Foundation, Inc.
License: file-is-free-software
 This file is free software; the Free Software Foundation
 gives unlimited permission to copy and/or distribute it,
 with or without modifications, as long as this notice is preserved.

Files:
    lib/lldp/aa-structs.h
    lib/lldp/lldpd.c
    lib/lldp/lldpd.h
    lib/lldp/lldpd-structs.c
    lib/lldp/lldpd-structs.h
    lib/lldp/lldp.c
    lib/lldp/lldp-tlv.h
    lib/lldp/lldp-const.h
Copyright: (c) 2015 Nicira, Inc.
 (c) 2008 Vincent Bernat <bernat@luffy.cx>
License: ISC-license

License: Sun-Industry-Standard-or-InMon-sFlow-License
 Retrieved from http://host-sflow.sourceforge.net/sissl.html, 2011-12-12:
 .
 Sun Industry Standards Source License - Version 1.1
 .
 1.0 DEFINITIONS
 .
 1.1 "Commercial Use" means distribution or otherwise making the
 Original Code available to a third party.
 .
 1.2 "Contributor Version" means the combination of the Original Code,
 and the Modifications made by that particular Contributor.
 .
 1.3 "Electronic Distribution Mechanism" means a mechanism generally
 accepted in the software development community for the electronic
 transfer of data.
 .
 1.4 "Executable" means Original Code in any form other than Source
 Code.
 .
 1.5 "Initial Developer" means the individual or entity identified as
 the Initial Developer in the Source Code notice required by Exhibit A.
 .
 1.6 "Larger Work" means a work which combines Original Code or portions
 thereof with code not governed by the terms of this License.
 .
 1.7 "License" means this document.
 .
 1.8 "Licensable" means having the right to grant, to the maximum extent
 possible, whether at the time of the initial grant or subsequently
 acquired, any and all of the rights conveyed herein.
 .
 1.9 "Modifications" means any addition to or deletion from the
 substance or structure of either the Original Code or any previous
 Modifications. A Modification is:
 .
 A. Any addition to or deletion from the contents of a file containing
 Original Code or previous Modifications.
 .
 B. Any new file that contains any part of the Original Code or previous
 Modifications.
 .
 1.10 "Original Code" means Source Code of computer software code which
 is described in the Source Code notice required by Exhibit A as
 Original Code.
 .
 1.11 "Patent Claims" means any patent claim(s), now owned or hereafter
 acquired, including without limitation, method, process, and apparatus
 claims, in any patent Licensable by grantor.
 .
 1.12 "Source Code" means the preferred form of the Original Code for
 making modifications to it, including all modules it contains, plus any
 associated interface definition files, or scripts used to control
 compilation and installation of an Executable.
 .
 1.13 "Standards" means the standards identified in Exhibit B.
 .
 1.14 "You" (or "Your") means an individual or a legal entity exercising
 rights under, and complying with all of the terms of, this License or a
 future version of this License issued under Section 6.1. For legal
 entities, "You'' includes any entity which controls, is controlled by,
 or is under common control with You. For purposes of this definition,
 "control'' means (a) the power, direct or indirect, to cause the
 direction or management of such entity, whether by contract or
 otherwise, or (b) ownership of more than fifty percent (50%) of the
 outstanding shares or beneficial ownership of such entity.
 .
 2.0 SOURCE CODE LICENSE
 .
 2.1 The Initial Developer Grant
 The Initial Developer hereby grants You a world-wide, royalty-free,
 non-exclusive license, subject to third party intellectual property
 claims:
 .
 (a) under intellectual property rights (other than patent or trademark)
 Licensable by Initial Developer to use, reproduce, modify, display,
 perform, sublicense and distribute the Original Code (or portions
 thereof) with or without Modifications, and/or as part of a Larger
 Work; and
 .
 (b) under Patents Claims infringed by the making, using or selling of
 Original Code, to make, have made, use, practice, sell, and offer for
 sale, and/or otherwise dispose of the Original Code (or portions
 thereof).
 .
 (c) the licenses granted in this Section 2.1(a) and (b) are effective
 on the date Initial Developer first distributes Original Code under the
 terms of this License.
 .
 (d) Notwithstanding Section 2.1(b) above, no patent license is granted:
 1) for code that You delete from the Original Code; 2) separate from
 the Original Code; or 3) for infringements caused by: i) the
 modification of the Original Code or ii) the combination of the
 Original Code with other software or devices, including but not limited
 to Modifications.
 3.0 DISTRIBUTION OBLIGATIONS
 .
 3.1 Application of License.
 The Source Code version of Original Code may be distributed only under
 the terms of this License or a future version of this License released
 under Section 6.1, and You must include a copy of this License with
 every copy of the Source Code You distribute. You may not offer or
 impose any terms on any Source Code version that alters or restricts
 the applicable version of this License or the recipients' rights
 hereunder. Your license for shipment of the Contributor Version is
 conditioned upon Your full compliance with this Section. The
 Modifications which You create must comply with all requirements set
 out by the Standards body in effect one hundred twenty (120) days
 before You ship the Contributor Version. In the event that the
 Modifications do not meet such requirements, You agree to publish
 either (i) any deviation from the Standards protocol resulting from
 implementation of Your Modifications and a reference implementation of
 Your Modifications or (ii) Your Modifications in Source Code form, and
 to make any such deviation and reference implementation or
 Modifications available to all third parties under the same terms as
 this license on a royalty free basis within thirty (30) days of Your
 first customer shipment of Your Modifications.
 .
 3.2 Required Notices.
 You must duplicate the notice in Exhibit A in each file of the Source
 Code. If it is not possible to put such notice in a particular Source
 Code file due to its structure, then You must include such notice in a
 location (such as a relevant directory) where a user would be likely to
 look for such a notice. If You created one or more Modification(s) You
 may add Your name as a Contributor to the notice described in Exhibit
 A. You must also duplicate this License in any documentation for the
 Source Code where You describe recipients' rights or ownership rights
 relating to Initial Code. You may choose to offer, and to charge a fee
 for, warranty, support, indemnity or liability obligations to one or
 more recipients of Your version of the Code. However, You may do so
 only on Your own behalf, and not on behalf of the Initial Developer.
 You must make it absolutely clear than any such warranty, support,
 indemnity or liability obligation is offered by You alone, and You
 hereby agree to indemnify the Initial Developer for any liability
 incurred by the Initial Developer as a result of warranty, support,
 indemnity or liability terms You offer.
 .
 3.3 Distribution of Executable Versions.
 You may distribute Original Code in Executable and Source form only if
 the requirements of Sections 3.1 and 3.2 have been met for that
 Original Code, and if You include a notice stating that the Source Code
 version of the Original Code is available under the terms of this
 License. The notice must be conspicuously included in any notice in an
 Executable or Source versions, related documentation or collateral in
 which You describe recipients' rights relating to the Original Code.
 You may distribute the Executable and Source versions of Your version
 of the Code or ownership rights under a license of Your choice, which
 may contain terms different from this License, provided that You are in
 compliance with the terms of this License. If You distribute the
 Executable and Source versions under a different license You must make
 it absolutely clear that any terms which differ from this License are
 offered by You alone, not by the Initial Developer. You hereby agree to
 indemnify the Initial Developer for any liability incurred by the
 Initial Developer as a result of any such terms You offer.
 .
 3.4 Larger Works.
 You may create a Larger Work by combining Original Code with other code
 not governed by the terms of this License and distribute the Larger
 Work as a single product. In such a case, You must make sure the
 requirements of this License are fulfilled for the Original Code.
 .
 4.0 INABILITY TO COMPLY DUE TO STATUTE OR REGULATION
 .
 If it is impossible for You to comply with any of the terms of this
 License with respect to some or all of the Original Code due to
 statute, judicial order, or regulation then You must: (a) comply with
 the terms of this License to the maximum extent possible; and (b)
 describe the limitations and the code they affect. Such description
 must be included in the LEGAL file described in Section 3.2 and must be
 included with all distributions of the Source Code. Except to the
 extent prohibited by statute or regulation, such description must be
 sufficiently detailed for a recipient of ordinary skill to be able to
 understand it.
 .
 5.0 APPLICATION OF THIS LICENSE
 .
 This License applies to code to which the Initial Developer has
 attached the notice in Exhibit A and to related Modifications as set
 out in Section 3.1.
 .
 6.0 VERSIONS OF THE LICENSE
 .
 6.1 New Versions.
 Sun may publish revised and/or new versions of the License from time to
 time. Each version will be given a distinguishing version number.
 .
 6.2 Effect of New Versions.
 Once Original Code has been published under a particular version of the
 License, You may always continue to use it under the terms of that
 version. You may also choose to use such Original Code under the terms
 of any subsequent version of the License published by Sun. No one other
 than Sun has the right to modify the terms applicable to Original Code.
 .
 7.0 DISCLAIMER OF WARRANTY
 .
 ORIGINAL CODE IS PROVIDED UNDER THIS LICENSE ON AN "AS IS" BASIS,
 WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
 WITHOUT LIMITATION, WARRANTIES THAT THE ORIGINAL CODE IS FREE OF
 DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING.
 THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE ORIGINAL CODE
 IS WITH YOU. SHOULD ANY ORIGINAL CODE PROVE DEFECTIVE IN ANY RESPECT,
 YOU (NOT THE INITIAL DEVELOPER) ASSUME THE COST OF ANY NECESSARY
 SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY
 CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY ORIGINAL
 CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.
 .
 8.0 TERMINATION
 .
 8.1 This License and the rights granted hereunder will terminate
 automatically if You fail to comply with terms herein and fail to cure
 such breach within 30 days of becoming aware of the breach. All
 sublicenses to the Original Code which are properly granted shall
 survive any termination of this License. Provisions which, by their
 nature, must remain in effect beyond the termination of this License
 shall survive.
 .
 8.2 In the event of termination under Section 8.1 above, all end user
 license agreements (excluding distributors and resellers) which have
 been validly granted by You or any distributor hereunder prior to
 termination shall survive termination.
 .
 9.0 LIMIT OF LIABILITY
 .
 UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT
 (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL
 DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF ORIGINAL CODE,
 OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY
 INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY
 CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL,
 WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER
 COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN
 INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF
 LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY
 RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW
 PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE
 EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS
 EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.
 .
 10.0 U.S. GOVERNMENT END USERS
 .
 U.S. Government: If this Software is being acquired by or on behalf of
 the U.S. Government or by a U.S. Government prime contractor or
 subcontractor (at any tier), then the Government's rights in the
 Software and accompanying documentation shall be only as set forth in
 this license; this is in accordance with 48 C.F.R. 227.7201 through
 227.7202-4 (for Department of Defense (DoD) acquisitions) and with 48
 C.F.R. 2.101 and 12.212 (for non-DoD acquisitions).
 .
 11.0 MISCELLANEOUS
 .
 This License represents the complete agreement concerning subject
 matter hereof. If any provision of this License is held to be
 unenforceable, such provision shall be reformed only to the extent
 necessary to make it enforceable. This License shall be governed by
 California law provisions (except to the extent applicable law, if any,
 provides otherwise), excluding its conflict-of-law provisions. With
 respect to disputes in which at least one party is a citizen of, or an
 entity chartered or registered to do business in the United States of
 America, any litigation relating to this License shall be subject to
 the jurisdiction of the Federal Courts of the Northern District of
 California, with venue lying in Santa Clara County, California, with
 the losing party responsible for costs, including without limitation,
 court costs and reasonable attorneys' fees and expenses. The
 application of the United Nations Convention on Contracts for the
 International Sale of Goods is expressly excluded. Any law or
 regulation which provides that the language of a contract shall be
 construed against the drafter shall not apply to this License.
 .
 Retrieved from http://www.inmon.com/technology/sflowlicense.txt, 2011-12-12:
 .
 LICENSE AGREEMENT
 .
 PLEASE READ THIS LICENSE AGREEMENT ("AGREEMENT") CAREFULLY BEFORE REPRODUCING OR IN ANY WAY
 UTILIZING THE sFlow(R) SOFTWARE ("SOFTWARE") AND/OR ANY ACCOMPANYING DOCUMENTATION
 ("DOCUMENTATION") AND/OR THE RELATED SPECIFICATIONS ("SPECIFICATIONS").  YOUR REPRODUCTION
 OR USE OF THE SOFTWARE AND/OR THE DOCUMENTATION AND/OR THE SPECIFICATIONS CONSTITUTES YOUR
 ACCEPTANCE OF THE TERMS AND CONDITIONS OF THIS AGREEMENT.  IF YOU DO NOT AGREE TO BE BOUND
 BY THE TERMS AND CONDITIONS OF THIS AGREEMENT, YOU MAY NOT REPRODUCE OR IN ANY WAY UTILIZE
 THE SOFTWARE OR THE DOCUMENTATION OR THE SPECIFICATIONS.
 .
 1.	Definitions.
 .
 "Documentation" means the user manuals, training materials, and operating materials, if any,
 InMon provides to Licensee under this Agreement.
 .
 "InMon" means InMon Corporation, its affiliates and subsidiaries.
 .
 "Intellectual Property Rights" means any trade secrets, patents, including without
 limitation any patents covering the Software, copyrights, know-how, moral rights and
 similar rights of any type under the laws of any governmental authority, domestic or
 foreign, including all applications and registrations relating to any of the foregoing.
 .
 "Licensee Hardware" means all computers, routers, or other equipment owned or controlled by
 or on behalf of Licensee.
 .
 "Products" means any and all software applications, computers, routers, or other equipment
 manufactured by or on behalf of Licensee for the purpose of resale or lease to any other
 third party, or otherwise made available by Licensee free of charge.
 .
 "Software" means the sFlow(R) software programs, in source or binary code format, that
 Licensee licenses from InMon under this Agreement and any bug fixes or error corrections
 which InMon may provide to Licensee.
 .
 "Specifications" means the published specifications provided or otherwise made available by
 InMon at: http://www.sflow.org.
 .
 "Trademark" means InMon's "sFlow(R)" trademark.
 .
 2. License Grant.
 .
 2.1	Software, Documentation and Specifications License Grant.  InMon hereby grants to
 Licensee, under all of InMon's Intellectual Property Rights therein, a perpetual (subject
 to InMon's termination rights under Section 7 below), nonexclusive, royalty-free, worldwide,
 transferable, sublicensable license, to:  (i) use and reproduce the Software, the
 Documentation, and the Specifications; (ii) modify the Software; (iii) implement the
 Specifications in the Products; (iv) install the Software, or software in which the
 Specifications have been implemented, on Licensee Hardware and Products, and (v) distribute
 any Products that include the Software, the Documentation, or software in which the
 Specifications have been implemented.
 .
 2.2	Trademark License.  InMon hereby grants to Licensee a perpetual (subject to InMon's
 termination rights under Section 7 below), nonexclusive, royalty-free, worldwide,
 transferable, sublicensable license to use the Trademark on or in connection with the
 Software, the Documentation, the Specifications and any software that implements the
 Specifications.
 .
 2.3	Restrictions.  Licensee agrees that it will not use the Software in a way
 inconsistent with the license granted in Section 2.1.  Further, Licensee agrees that, in
 exercising its rights under the license granted to it in this Agreement, Licensee will:
 (i) strictly adhere to and fully comply with the Specifications; (ii) use the Trademark,
 and no other mark, to identify the Software, the Documentation, the Specifications and any
 Products that implement the Specifications; (iii) place, in a font or graphic design
 designated by InMon,  the phrase "sFlow(R)" on any technical documentation,
 sales/marketing materials, catalogs, or other such materials relating to products it
 manufactures or markets which it has configured to be compatible with the Software or
 otherwise implement the Specifications; (iv) in connection with any Products shipped to or
 sold in other countries that include the Software or any software that implements the
 Specifications, comply with the patent and trademark laws and practice of such other
 country; and (v) not alter or impair any acknowledgment of copyright or trademark rights of
 InMon that may appear in or on the Software, the Documentation or the Specifications.  In
 the event InMon determines that Licensee is not complying with its obligations under
 clauses (i)-(v) above, InMon shall notify Licensee of such non-compliance, and if Licensee
 fails to correct such non-compliance within three (3) months, InMon may immediately
 terminate this Agreement as provided under paragraph 7 below and pursue any and all
 actions and remedies as it deems necessary, including, but not limited to breach of
 contract.
 .
 3.	Ownership.  Except for the license expressly granted in Section 2, Inmon hereby
 retains all right, title, and interest in and to the Trademark and all its Intellectual
 Property Rights in the Software, the Documentation and the Specifications.  Licensee
 obtains no rights hereunder in the Trademark, Software, Documentation or Specifications by
 implication, estoppel or otherwise.  Licensee acknowledges that the Trademark, Software,
 Documentation and Specifications are being licensed and not sold under this Agreement, and
 that this Agreement does not transfer title in the Trademark, Software, Documentation or
 Specifications, or any copy thereof, to Licensee.
 .
 4.	Support.  Inmon shall have no obligation under this Agreement to (a) supply
 maintenance or support, bug fixes or error corrections to the Licensed Software,
 (b) supply future versions of the Licensed Software or (c) provide Licensed Software
 development tools to Licensee.
 .
 5.	Warranty.  INMON HEREBY DISCLAIMS ALL WARRANTIES, EITHER EXPRESS, IMPLIED OR
 STATUTORY, WITH RESPECT TO THE TRADEMARK, THE SOFTWARE, THE DOCUMENTATION, THE
 SPECIFICATIONS. OR OTHERWISE, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF
 MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT OF ANY INTELLECTUAL
 PROPERTY RIGHTS.
 .
 6.	Limitation of Liability.  IN NO EVENT SHALL INMON OR ITS SUPPLIERS OR LICENSORS BE
 LIABLE FOR ANY CONSEQUENTIAL, INCIDENTAL, SPECIAL, INDIRECT OR EXEMPLARY DAMAGES WHATSOEVER,
 WHETHER RELATED TO OR ARISING OUT OF THIS AGREEMENT, THE TRADEMARK, THE SOFTWARE, THE
 DOCUMENTATION, THE SPECIFICATIONS, OR OTHERWISE, INCLUDING WITHOUT LIMITATION, DAMAGES FOR
 LOSS OF PROFITS, BUSINESS INTERRUPTION, LOSS OF DATA, COSTS OF PROCUREMENT OF SUBSTITUTE
 GOODS OR SERVICES OR FOR ANY CLAIM OR DEMAND AGAINST LICENSEE BY ANY OTHER PARTY, OR OTHER
 PECUNIARY LOSS, EVEN IF INMON HAS BEEN ADVISED OF OR KNOWS OF THE POSSIBILITY OF SUCH
 DAMAGES.
 .
 7.	Term and Termination.  The term of this Agreement will begin on the Effective Date,
 which shall be deemed to be the date of delivery of the Software and/or Documentation and/or
 Specifications to Licensee, and shall continue indefinitely unless and until terminated by
 Licensee's giving written notice of termination to InMon, or by InMon pursuant to InMon's
 termination rights as set forth in Section 2.3 above.  Upon any termination of this
 Agreement, Licensee shall cease exercising its license rights under this Agreement,
 including the right to distribute Products that incorporate the Software or Documentation
 or that implement the Specifications.  The rights and obligations contained in Sections 1,
 3, 5, 6, 7, and 8 shall survive any termination of this Agreement.
 .
 8.	General Provisions.
 .
 8.1	Assignment.  This Agreement shall be binding upon and inure to the benefit of the
 parties hereto and their permitted successors and permitted assigns.  InMon will have the
 right to assign this Agreement without notice to Licensee.  Licensee may assign or transfer
 (whether by merger, operation of law or in any other manner) any of its rights or delegate
 any of its obligations hereunder without the prior written consent of InMon, provided the
 assignee assumes in writing all of Licensee's obligations hereunder.
 .
 8.2	Notices.  All notices permitted or required under this Agreement shall be in
 writing and shall be delivered in person or mailed by first class, registered or certified
 mail, postage prepaid, to the address of the party specified in this Agreement or such
 other address as either party may specify in writing.  Such notice shall be deemed to have
 been given upon receipt.
 .
 8.3	Non-Waiver.  No term or provision hereof shall be deemed waived, and no breach
 excused, unless such waiver or consent shall be in writing and signed by the party claimed
 to have waived or consented.  Any consent or waiver, whether express or implied, shall not
 constitute a consent or waiver of, or excuse for any separate, different or subsequent
 breach.
 .
 8.4	Independent Contractor.  The parties' relationship shall be solely that of
 independent contractors, and nothing contained in this Agreement shall be construed to make
 either party an agent, partner, representative or principal of the other for any purpose.
 .
 8.5	Choice of Law and Forum.  This Agreement shall be governed by and construed under
 the laws of the State of California, without giving effect to such state's conflict of laws
 principles.  The parties hereby submit to the personal jurisdiction of, and agree that any
 legal proceeding with respect to or arising under this Agreement shall be brought in, the
 United States District Court for the Northern District of California or the state courts
 of the State of California for the County of San Francisco.
 .
 8.6	U.S. Government Licenses.  The Software and Documentation are considered a
 "commercial item" as that term is defined at 48 C.F.R 2.101, or "commercial computer
 software" and "commercial computer software documentation" as such terms are used in
 48 C.F.R 12.212 of the Federal Acquisition Regulations and its successors, and
 48 C.F.R. 227.7202 of the DoD FAR Supplement and its successors.
 .
 8.7	Severability.  If any provision of this Agreement is held to be unenforceable under
 applicable law, then such provision shall be excluded from this Agreement and the balance
 of this Agreement shall be interpreted as if such provision were so excluded and shall be
 enforceable in accordance with its terms.  The court in its discretion may substitute for
 the excluded provision an enforceable provision which in economic substance reasonably
 approximates the excluded provision.
 .
 8.8	Compliance With Law.  Licensee shall comply with all applicable laws and
 regulations (including privacy laws and regulations) having application to or governing its
  use and/or operation of the Software and agrees to indemnify and hold InMon harmless from
 and against any claims, damages, losses or obligations suffered or incurred by InMon
 arising from its failure to so comply.
 .
 8.9	Entire Agreement; Amendment.  This Agreement constitutes the final, complete and
 entire agreement between the parties with respect to the subject matter hereof, and
 supersedes any previous proposals, negotiations, agreements, or arrangements, whether
 verbal or written, made between the parties with respect to such subject matter.  This
 Agreement shall control over any additional or conflicting terms in any of Licensee's
 purchase orders or other business forms.  This Agreement may only be amended or modified
 by mutual agreement of authorized representatives of the parties in writing.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 3. Neither the name of the University nor the names of its contributors
    may be used to endorse or promote products derived from this software
    without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: GPL-2
 This program is free software; you can redistribute it and/or modify it under
 the terms of the GNU General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option) any later
 version.
 .
 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 .
 You should have received a copy of the GNU General Public License along with
 this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
 St, Fifth Floor, Boston, MA 02110-1301 USA
 .
 On Debian systems, the complete text of the GNU General Public License v2
 (GPL) can be found in /usr/share/common-licenses/GPL-2.

License: Apache-2.0-or-GPL-2.0
 This file is offered under your choice of two licenses: Apache 2.0 or GNU
 GPL 2.0 or later.  The permission statements for each of these licenses is
 given below.  You may license your modifications to this file under either
 of these licenses or both.  If you wish to license your modifications under
 only one of these licenses, delete the permission text for the other
 license.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 2 can be found in `/usr/share/common-licenses/GPL-2'.
 On Debian systems, the complete text of the Apache License version 2.0
 can be found in '/usr/share/common-licenses/Apache-2.0'.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
 .
 THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 SUCH DAMAGE.

License: LGPL-2.1
 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License.
 .
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 .
 You should have received a copy of the GNU Lesser General Public License along
 with this library; if not, write to the Free Software Foundation, Inc., 51
 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 .
 On Debian systems, the complete text of the GNU Lesser General Public License
 (LGPL) may be found in /usr/share/common-licenses/LGPL-2.

License: LGPL-2.1-with-exception
 On Debian systems, the complete text of the
 GNU Lesser General Public License version 2.1 can be found in
 `/usr/share/common-licenses/LGPL-2.1'
 .
 The exception clause pre-amble reads:
 .
 As a special exception to the GNU Lesser General Public License, you
 may link, statically or dynamically, a "work that uses the Library"
 with a publicly distributed version of the Library to produce an
 executable file containing portions of the Library, and distribute
 that executable file under terms of your choice, without any of the
 additional requirements listed in clause 6 of the GNU Lesser General
 Public License.  By "a publicly distributed version of the Library",
 we mean either the unmodified Library as distributed, or a
 modified version of the Library that is distributed under the
 conditions defined in clause 3 of the GNU Library General Public
 License.  This exception does not however invalidate any other reasons
 why the executable file might be covered by the GNU Lesser General
 Public License.

License: ISC-license
 Permission to use, copy, modify, and/or distribute this software for any
 purpose with or without fee is hereby granted, provided that the above
 copyright notice and this permission notice appear in all copies.
 .
 THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
    http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 .
 On Debian-based systems the full text of the Apache version 2.0 license
 can be found in `/usr/share/common-licenses/Apache-2.0'.
